Skip to main content
POST
Approve a creator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
string<uuid>
required

The campaign ID

creator_id
string
required

The creator ID

Response

The approved creator

A creator's participation in the campaign: application status, content pipeline, performance, and spend

creator_id
string
Example:

"cr_8f14e45fceea"

username
string
Example:

"somecreator"

status
enum<string>

The creator's application status on the campaign

Available options:
applied,
approved,
rejected
Example:

"approved"

applied_at
string<date-time>
decided_at
string<date-time> | null

When the application was approved or rejected

content
object

The creator's content pipeline on this campaign

posts
integer

Number of live posts

Example:

3

metrics
object

Engagement totals across posts

spend_cents
integer

Total paid to this creator on this campaign, in cents

Example:

45000